<link rel="import" href="../../polymer/polymer-element.html" />

<dom-module id="tabla-element">
    <template>
        <link rel="stylesheet" href="bulma.min.css" />
        <table class="table is-fullwidth">
            <thead>
                <template is="dom-repeat" items="{{headers}}" as="header">
                    <th>[[header]]</th>
                </template>
            </thead>
            <tbody>
                <template is="dom-repeat" items="{{empleados}}" as="empleado">
                    <tr>
                        <td class="nEmpleado">{{empleado.id}}</td>
                        <td class="nombre">[[nombre(empleado.employee_name)]]</td>
                        <td class="apellidos">[[apellido(empleado.employee_name)]]</td>
                        <td class="salario">{{empleado.employee_salary}}</td>
                        <td class="edad">{{empleado.employee_age}}</td>
                    </tr>
                </template>
            </tbody>
        </table>
    </template>

    <script>
        class TablaElement extends Polymer.Element {
            static get is() {
                return "tabla-element";
            }
            static get properties() {
                return {
                    empleados: {
                        type: Array,
                        value: [],
                    },
                    headers: {
                        type: Array,
                        value: ["ID", "Nombre", "Apellido", "Salario", "Edad"],
                    },
                };
            }
            connectedCallback() {
                super.connectedCallback();
            }
            nombre(empleado) {
                return empleado.split(" ")[0];
            }
            apellido(empleado) {
                return empleado.split(" ")[1];
            }
            mostrarEmpleados(empleados) {
                this.empleados = empleados;
            }
        }

        window.customElements.define(TablaElement.is, TablaElement);
    </script>
</dom-module>
